GNU bug report logs - #46862
Giara - A free-software client for Reddit

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Raghav Gururajan <rg@HIDDEN>; dated Mon, 1 Mar 2021 21:45:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46862 <at> debbugs.gnu.org:


Received: (at 46862) by debbugs.gnu.org; 11 Mar 2021 19:13:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 14:13:19 2021
Received: from localhost ([127.0.0.1]:54913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKQkI-0007oa-Ny
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 14:13:18 -0500
Received: from out2.migadu.com ([188.165.223.204]:48604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lKQkF-0007oQ-Ob
 for 46862 <at> debbugs.gnu.org; Thu, 11 Mar 2021 14:13:17 -0500
Subject: Re: [bug#46862] Giara - A free-software client for Reddit (v2)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1615489991;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=1jfqb7D1M85VsnpYTgFbttGGAitXD8t2nc1asbAsrIo=;
 b=XQiMROnyEVLaMtZJrZpIA7Beoiz4u8Hz5CQLvw3tQplYzSSaFGye6fXgsnR36e9sxm3R+8
 yRW2kbdMuXaYP3JgFBW0qJYNfsP/GkoPLL8BS71dolR5zQ9ZuFrTkJSjjFXnBhaHkXrfyp
 ihdBK4noi+4t801304WSkGFpe6Ytyl8O0prxWXIUF+Gf14CIKy+z2utsH9mEU4mO1QkGRI
 SuVe0anQRBgG/SO4fkZ9kWVVPGagO5xGGaZy+vFccYfOqQfh3xpQVDxFpWkKPDFP7u+Dkp
 bIdVXtlTT6VyzT3jy9i5PkFWPC+HUSWTzuToDiGnbe5KIrtElvi6F5Lcr1CfeQ==
To: Efraim Flashner <efraim@HIDDEN>
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
 <YEcq0M6MIokud6S1@3900XT>
 <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
 <YEpo3AsFuFqKVqB7@3900XT>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Message-ID: <88b95d36-19ef-0274-44f9-99ef49cc7800@HIDDEN>
Date: Thu, 11 Mar 2021 14:12:59 -0500
MIME-Version: 1.0
In-Reply-To: <YEpo3AsFuFqKVqB7@3900XT>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="5uWsquQ5cVQSZN1kDfRantFesyd608k2d"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46862
Cc: 46862 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--5uWsquQ5cVQSZN1kDfRantFesyd608k2d
Content-Type: multipart/mixed; boundary="jvvkVykS6HRlRDv3ZemU1hXMx3bBktnoz";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Cc: 46862 <at> debbugs.gnu.org
Message-ID: <88b95d36-19ef-0274-44f9-99ef49cc7800@HIDDEN>
Subject: Re: [bug#46862] Giara - A free-software client for Reddit (v2)
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
 <YEcq0M6MIokud6S1@3900XT>
 <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
 <YEpo3AsFuFqKVqB7@3900XT>
In-Reply-To: <YEpo3AsFuFqKVqB7@3900XT>

--jvvkVykS6HRlRDv3ZemU1hXMx3bBktnoz
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

Hi Efraim!

> Everything looks good, but I'd feel better waiting until everything is
> resolved to actually commit giara. I'll go ahead and commit the other
> packages but I'd like to hold off on giara for a little bit.

Sounds good.

Thanks!

Regards,
RG.


--jvvkVykS6HRlRDv3ZemU1hXMx3bBktnoz--

--5uWsquQ5cVQSZN1kDfRantFesyd608k2d
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYEpruwUDAAAAAAAKCRBfWBZkf4vlUYVj
AP9OOzfkKk/avb3cyQrRBShKosD39J4V1Z3+GZlmmv45twD/aKpphfLIrVOWG7dF6i86T1K20+Gj
V4BtkGhIDvXn4gI=
=+gsg
-----END PGP SIGNATURE-----

--5uWsquQ5cVQSZN1kDfRantFesyd608k2d--




Information forwarded to guix-patches@HIDDEN:
bug#46862; Package guix-patches. Full text available.

Message received at 46862 <at> debbugs.gnu.org:


Received: (at 46862) by debbugs.gnu.org; 11 Mar 2021 19:01:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 11 14:01:34 2021
Received: from localhost ([127.0.0.1]:54894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lKQYw-0007Xb-50
	for submit <at> debbugs.gnu.org; Thu, 11 Mar 2021 14:01:34 -0500
Received: from flashner.co.il ([178.62.234.194]:32922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lKQYu-0007XP-Tc
 for 46862 <at> debbugs.gnu.org; Thu, 11 Mar 2021 14:01:33 -0500
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 6178B4068A;
 Thu, 11 Mar 2021 19:01:26 +0000 (UTC)
Date: Thu, 11 Mar 2021 21:00:44 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#46862] Giara - A free-software client for Reddit (v2)
Message-ID: <YEpo3AsFuFqKVqB7@3900XT>
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
 <YEcq0M6MIokud6S1@3900XT>
 <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="OYGAITOG4N/gXpN6"
Content-Disposition: inline
In-Reply-To: <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46862
Cc: 46862 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--OYGAITOG4N/gXpN6
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Mar 10, 2021 at 08:02:24AM -0500, Raghav Gururajan wrote:
> Hi Efraim!
>=20
> > It definitely launched much faster than on my pinephone. A couple of co=
mments inlined.
> >=20
> > Also, I wasn't able to login to giara. I got redirected to icecat and
> > was able to login and press authorize as expected, but nothing happened
> > with the giara window and it stayed at 'waiting for authorization'. I'm
> > not sure if it's because I'm not running a GTK desktop, but I didn't
> > investigate too far.
>=20
> It appears to be an API issue. Probably reddit changed something in their
> back-end, like youtube. I'll contact Giara's author.
>=20
> I have applied your suggested changes and attached v2 with this email.
>=20

Everything looks good, but I'd feel better waiting until everything is
resolved to actually commit giara. I'll go ahead and commit the other
packages but I'd like to hold off on giara for a little bit.


--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--OYGAITOG4N/gXpN6
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmBKaNwACgkQQarn3Mo9
g1HCSw/8D9SAIdX7wsd9yWpDL5nGxpSbtYof6dOBOwOcxh1k1naXrcMLSs91uzA5
lCm2NnCbKqLdFBbwK4T0rlG+vstNUtFSMNax+KO7AHEZqqMByeZsmPqtz/ubLQ37
emm2/WeIQ5x5Jvmq8NVmjHRuh02+F8qMLSy1ur2Rg/ud0AIzhNAjssna5lHnGHRA
zDACF5+WtrXI2zYk//syBaeHbqyBpRrbSAkhV5SEs2wh5rgEDDy3fawb82X03QcS
l6D5B64QYAcczRN7zFcxAtmMkm3O+WNyw8+JR2Ur3KJxTng+EpvUYMi5MTNEhlF+
Tn4EI5vFhLIXHW2oQbo1ZIwcYng8lDjaoh3GDjZZJvTiz1LUHTff/40B2ssaks3w
IUcQipa40axyYqNiS+A6cGSUn8kyPDEblxPN8QP1LcrLql5Wef8jjdY9D/J4MFVT
/GDTGcdz6PWlbvTjcmpDbJoKJTru8XtHn/o3f8OA003rcCUndQ/Hy9A1zDf55oL4
CLJaC7lek3mYQRR1sTJxp8wwiHp3CIj0IwtB4oT9RwDequXUFJqYvIO1IfLaWys5
iBIaLjc659Ii7YdjvjH0g/pMQ6xaaoRjBr58YbVV53hMCfclcxK0KQMzN28331cV
luMtf686ZG53Vl16HUkAiDMwvhXVHhCRQoqaGhz4x5QwZ82ICxo=
=mFfC
-----END PGP SIGNATURE-----

--OYGAITOG4N/gXpN6--




Information forwarded to guix-patches@HIDDEN:
bug#46862; Package guix-patches. Full text available.

Message received at 46862 <at> debbugs.gnu.org:


Received: (at 46862) by debbugs.gnu.org; 10 Mar 2021 13:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 08:02:40 2021
Received: from localhost ([127.0.0.1]:49103 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJyTw-00048l-7V
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 08:02:40 -0500
Received: from out2.migadu.com ([188.165.223.204]:20901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lJyTs-00048Z-Hj
 for 46862 <at> debbugs.gnu.org; Wed, 10 Mar 2021 08:02:30 -0500
To: Efraim Flashner <efraim@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1615381346;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=4tTSDPauXlvfhATTusQRwa3uIQyM3nH29vAksx4lNHM=;
 b=RcDYduZF9YEbHDbxEeaA4qYJ7wMlI5GSJx6WJX2ZAwr4FXp4yNe/0kWsq6d5jAsobmt4CK
 tWQqJoN4zOF07Knd3qAlBYLC3Q72mU/fKdeZwddC2MtDrmpoQ4frAvG2WXwuIl6l5DldiQ
 CDWuOzB5BQ4fk2TRlovtfaqrbXZdxOMx75kdlsjNW12Jc+3QIRD/W5yUbVevXeXy+D21DP
 DZoPjDAnvRkWFZyFSb9zHyud+eJflJMW2Ai52ofYFirsDSIcffCv0wAD+t4T5DmKWgjWyT
 jHgJNSRrXK6xYY6lBllG5lF1QqDmKBXnoJbtYfDM9sX6wNtpnAkdkDCHydmhDA==
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
 <YEcq0M6MIokud6S1@3900XT>
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#46862] Giara - A free-software client for Reddit (v2)
Message-ID: <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
Date: Wed, 10 Mar 2021 08:02:24 -0500
MIME-Version: 1.0
In-Reply-To: <YEcq0M6MIokud6S1@3900XT>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="lBslpQRBnxXsWzC0IppzlxpRFDn5dqRot"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Efraim! > It definitely launched much faster than on my
 pinephone. A couple of comments inlined. > > Also, I wasn't able to login
 to giara. I got redirected to icecat and > was able to login and press authori
 [...] Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [188.165.223.204 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: qtlockedfile.pro (pro)]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 46862
Cc: 46862 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--lBslpQRBnxXsWzC0IppzlxpRFDn5dqRot
Content-Type: multipart/mixed; boundary="aLBdbHN7hkCI46M6S5QBlN8YHj6fR9c5j";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Cc: 46862 <at> debbugs.gnu.org
Message-ID: <5aab6d48-b245-018c-65e7-aede1bc139e0@HIDDEN>
Subject: Re: [bug#46862] Giara - A free-software client for Reddit (v2)
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
 <YEcq0M6MIokud6S1@3900XT>
In-Reply-To: <YEcq0M6MIokud6S1@3900XT>

--aLBdbHN7hkCI46M6S5QBlN8YHj6fR9c5j
Content-Type: multipart/mixed;
 boundary="------------AD264F266E3382431440A775"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------AD264F266E3382431440A775
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi Efraim!

> It definitely launched much faster than on my pinephone. A couple of co=
mments inlined.
>=20
> Also, I wasn't able to login to giara. I got redirected to icecat and
> was able to login and press authorize as expected, but nothing happened=

> with the giara window and it stayed at 'waiting for authorization'. I'm=

> not sure if it's because I'm not running a GTK desktop, but I didn't
> investigate too far.

It appears to be an API issue. Probably reddit changed something in=20
their back-end, like youtube. I'll contact Giara's author.

I have applied your suggested changes and attached v2 with this email.

Regards,
RG.

--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-Add-python-betamax-serializers.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-gnu-Add-python-betamax-serializers.patch"

=46rom 44e3361a78bbcbe5c48b57fe584b23c1cd1dfda5 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Wed, 10 Mar 2021 06:43:09 -0500
Subject: [PATCH 1/5] gnu: Add python-betamax-serializers.

* gnu/packages/python-web.scm (python-betamax-serializers): New variable.=

---
 gnu/packages/python-web.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b0268e5a31..b3a1d3ac67 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -3228,6 +3228,26 @@ Betamax.")
 (define-public python2-betamax-matchers
   (package-with-python2 python-betamax-matchers))
=20
+(define-public python-betamax-serializers
+  (package
+    (name "python-betamax-serializers")
+    (version "0.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "betamax-serializers" version))
+       (sha256
+        (base32 "0ja9isbjmzzhxdj69s0kdsvw8nkp073w6an6a4liy5vk3fdl2p1l"))=
))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-pyyaml" ,python-pyyaml)))
+    (synopsis "Set of third-party serializers for Betamax")
+    (description "Betamax-Serializers are an experimental set of Seriali=
zers for
+Betamax that may possibly end up in the main package.")
+    (home-page "https://gitlab.com/betamax/serializers")
+    (license license:asl2.0)))
+
 (define-public python-s3transfer
   (package
     (name "python-s3transfer")
--=20
2.30.1


--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-qtsolutions-Enable-examples.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-gnu-qtsolutions-Enable-examples.patch"

=46rom a1507241c457b9ee3d1474b71849112637a3c6a2 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Wed, 10 Mar 2021 03:09:38 -0500
Subject: [PATCH] gnu: qtsolutions: Enable examples.

* gnu/packages/qt.scm (qtsolutions) [arguments]: Modify phases
'patch-source and 'install.
---
 gnu/packages/qt.scm | 62 ++++++++++++++++++++++++++++++++-------------
 1 file changed, 44 insertions(+), 18 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index d921aa87fe..8409fc1803 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2497,18 +2497,18 @@ securely.  It will not store any data unencrypted=
 unless explicitly requested.")
              (with-directory-excursion "qtsingleapplication/src"
                (for-each delete-file
                          (find-files "." "qtlockedfile.*\\.(h|cpp)"))
-                 (substitute* "qtsingleapplication.pri"
-                   ;; Add include path of LockedFile.
-                   (("INCLUDEPATH \\+=3D")
-                    "INCLUDEPATH +=3D ../../qtlockedfile/src")
-                   ;; Link library of LockedFile.
-                   (("LIBS \\+=3D")
-                    "LIBS +=3D -lQtSolutions_LockedFile"))
-                 (substitute* '("qtlocalpeer.h" "qtlocalpeer.cpp")
-                   (("#include \"qtlockedfile.*\\.cpp\"") "")
-                   ;; Unwrap namespace added in the vendoring process.
-                   (("QtLP_Private::QtLockedFile")
-                    "QtLockedFile")))
+               (substitute* "qtsingleapplication.pri"
+                 ;; Add include path of LockedFile.
+                 (("INCLUDEPATH \\+=3D")
+                  "INCLUDEPATH +=3D ../../qtlockedfile/src")
+                 ;; Link library of LockedFile.
+                 (("LIBS \\+=3D")
+                  "LIBS +=3D -lQtSolutions_LockedFile"))
+               (substitute* '("qtlocalpeer.h" "qtlocalpeer.cpp")
+                 (("#include \"qtlockedfile.*\\.cpp\"") "")
+                 ;; Unwrap namespace added in the vendoring process.
+                 (("QtLP_Private::QtLockedFile")
+                  "QtLockedFile")))
              #t))))
       (build-system gnu-build-system)
       (arguments
@@ -2524,16 +2524,32 @@ securely.  It will not store any data unencrypted=
 unless explicitly requested.")
          (modify-phases %standard-phases
            (add-after 'unpack 'patch-source
              (lambda* (#:key outputs #:allow-other-keys)
+               ;; Rename example to examples, in qtlockedfile,
+               ;; so that it gets picked up during install phase.
+               (with-directory-excursion "qtlockedfile"
+                 (rename-file "example" "examples")
+                 (rename-file "examples/example.pro" "examples/examples.=
pro")
+                 (substitute* "qtlockedfile.pro"
+                   (("SUBDIRS\\+=3Dexample") "SUBDIRS+=3Dexamples")))
                (substitute* (find-files "." "common.pri")
+                 ;; Patch run-path for binaries.
+                 (("QMAKE_RPATHDIR \\+=3D \\$\\$?.*_LIBDIR")
+                  (string-append "QMAKE_RPATHDIR +=3D "
+                                 (assoc-ref outputs "out") "/lib"))
                  ;; Remove unnecessary prefixes/suffixes in library name=
s.
                  (("qt5") "qt")
                  (("-head") ""))
-               ;; Disable building of examples.
-               (substitute* (find-files "." "\\.pro$")
+               ;; Disable building of examples for QtSingleApplication.
+               (substitute* "qtsingleapplication/qtsingleapplication.pro=
"
                  (("SUBDIRS\\+=3Dexamples") ""))
-               ;; Fix deprecated functions.
-               (substitute* "qtsoap/src/qtsoap.cpp"
-                 (("toAscii") "toUtf8"))
+               (with-directory-excursion "qtsoap/src"
+                 ;; Patch Qt imports for QtSoap.
+                 (substitute* "qtsoap.pri"
+                   (("QT \\+=3D xml network")
+                    "QT +=3D core gui widgets xml network"))
+                 ;; Fix deprecated functions.
+                 (substitute* "qtsoap.cpp"
+                   (("toAscii") "toUtf8")))
                #t))
            (replace 'configure
              (lambda _
@@ -2560,7 +2576,17 @@ securely.  It will not store any data unencrypted =
unless explicitly requested.")
                               (assoc-ref copy:%standard-phases 'install)=

                               #:install-plan
                               '(("src" "include" #:include-regexp ("\\.h=
$"))
-                                ("lib" "lib"))
+                                ("lib" "lib")
+                                ("examples" "bin"
+                                 #:include ("examples" "canvas_typed"
+                                            "canvas_variant" "decoration=
"
+                                            "demo" "extension"
+                                            "object_controller" "simple"=

+                                            "controller" "interactive"
+                                            "httpservice" "console"
+                                            "loader" "trivial"
+                                            "easter" "google"
+                                            "population")))
                               args)))
                          '("qtlockedfile" "qtpropertybrowser" "qtservice=
"
                            "qtsingleapplication" "qtsoap")))))))
--=20
2.30.1


--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-Add-python-testfixtures.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0002-gnu-Add-python-testfixtures.patch"

=46rom da0e44fc2f610b20063471f2c40b4bd330d11507 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Wed, 10 Mar 2021 06:49:48 -0500
Subject: [PATCH 2/5] gnu: Add python-testfixtures.

* gnu/packages/python-check.scm (python-testfixtures): New variable.
---
 gnu/packages/python-check.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.sc=
m
index 15efdd3297..039fbaf554 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -29,7 +29,9 @@
 (define-module (gnu packages python-check)
   #:use-module (gnu packages)
   #:use-module (gnu packages check)
+  #:use-module (gnu packages django)
   #:use-module (gnu packages openstack)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages web)
@@ -41,6 +43,31 @@
   #:use-module (guix download)
   #:use-module (guix build-system python))
=20
+(define-public python-testfixtures
+  (package
+    (name "python-testfixtures")
+    (version "6.17.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "testfixtures" version))
+       (sha256
+        (base32 "1nlv2hz20czjp4a811ichl5kwg99rh84l0mw9wq4rk3idzfs1hsy"))=
))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f))          ; PyTest-Django fails to build in master
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ;;("python-pytest-django" ,python-pytest-django)
+       ("python-twine" ,python-twine)
+       ("python-wheel" ,python-wheel)))
+    (synopsis "Tests components for Python")
+    (description "Testfixtures is a collection of helpers and mock objec=
ts that
+are useful when writing automated tests in Python.")
+    (home-page "https://testfixtures.readthedocs.io/en/latest/")
+    (license license:expat)))
+
 (define-public python-coveralls
   (package
     (name "python-coveralls")
--=20
2.30.1


--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0003-gnu-Add-python-prawcore.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0003-gnu-Add-python-prawcore.patch"

=46rom dc26c30cc35abfed45ad68beb7e93399947c7517 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 15:37:23 -0500
Subject: [PATCH 3/5] gnu: Add python-prawcore.

* gnu/packages/python-web.scm (python-prawcore): New variable.
---
 gnu/packages/python-web.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b3a1d3ac67..fa479ff7dd 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -91,6 +91,31 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (srfi srfi-1))
=20
+(define-public python-prawcore
+  (package
+    (name "python-prawcore")
+    (version "2.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "prawcore" version))
+       (sha256
+        (base32 "1l9nrn4s03xl8fvkyybdk86bm9cyyk43alkxf9g014a9ynvdk65l"))=
))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-betamax-matchers" ,python-betamax-matchers)
+       ("python-betamax-serializers" ,python-betamax-serializers)
+       ("python-mock" ,python-mock)
+       ("python-pytest" ,python-pytest)
+       ("python-testfixtures" ,python-testfixtures)))
+    (propagated-inputs
+     `(("python-requests" ,python-requests)))
+    (synopsis "Core component of PRAW")
+    (description "PRAWcore is a low-level communication layer used by PR=
AW.")
+    (home-page "https://praw.readthedocs.io/en/latest/")
+    (license license:bsd-2)))
+
 (define-public python-aiohttp
   (package
     (name "python-aiohttp")
--=20
2.30.1


--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0004-gnu-Add-python-praw.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0004-gnu-Add-python-praw.patch"

=46rom 60bc56b8473d3648e35d1a222fbd80cb5d0e6fb1 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 16:01:21 -0500
Subject: [PATCH 4/5] gnu: Add python-praw.

* gnu/packages/python-web.scm (python-raw): New variable.
---
 gnu/packages/python-web.scm | 43 +++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index fa479ff7dd..e4152e6463 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -116,6 +116,49 @@
     (home-page "https://praw.readthedocs.io/en/latest/")
     (license license:bsd-2)))
=20
+(define-public python-praw
+  (package
+    (name "python-praw")
+    (version "7.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "praw" version))
+       (sha256
+        (base32 "0ll1a0n8xs8gykizdsfrw63jp6bc39ab0pk3yzwcak96fyxh0ij3"))=
))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'disable-failing-tests
+           (lambda _
+             (with-directory-excursion "tests"
+               ;; Require networking.
+               (for-each delete-file-recursively
+                         '("integration/models" "unit/models"))
+               ;; https://github.com/praw-dev/praw/issues/1699
+               ;; #issuecomment-795336704
+               (delete-file "unit/test_config.py"))
+             #t))
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "pytest"))
+             #t)))))
+    (native-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-betamax-matchers" ,python-betamax-matchers)
+       ("python-pytest" ,python-pytest)))
+    (propagated-inputs
+     `(("python-prawcore" ,python-prawcore)
+       ("python-websocket-client" ,python-websocket-client)))
+    (synopsis "Python Reddit API Wrapper")
+    (description "PRAW is a Python package that allows for simple access=
 to
+Reddit=E2=80=99s API.  It aims to be easy to use and internally follows =
all of Reddit=E2=80=99s
+API rules.")
+    (home-page "https://praw.readthedocs.io/en/latest/")
+    (license license:bsd-2)))
+
 (define-public python-aiohttp
   (package
     (name "python-aiohttp")
--=20
2.30.1


--------------AD264F266E3382431440A775
Content-Type: text/x-patch; charset=UTF-8;
 name="0005-gnu-Add-giara.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0005-gnu-Add-giara.patch"

=46rom 249a4ece2948a3ba2f9edb1f7db0f0f07d1831e7 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Wed, 10 Mar 2021 07:54:40 -0500
Subject: [PATCH 5/5] gnu: Add giara.

* gnu/packages/syndication.scm (giara): New variable.
---
 gnu/packages/syndication.scm | 59 ++++++++++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/gnu/packages/syndication.scm b/gnu/packages/syndication.scm
index 79dbb77018..8e0b871e3d 100644
--- a/gnu/packages/syndication.scm
+++ b/gnu/packages/syndication.scm
@@ -23,6 +23,7 @@
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix build-system cargo)
   #:use-module (guix build-system glib-or-gtk)
   #:use-module (guix build-system gnu)
@@ -36,6 +37,7 @@
   #:use-module (gnu packages crates-io)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
@@ -59,6 +61,63 @@
   #:use-module (gnu packages xml)
   #:use-module (srfi srfi-1))
=20
+(define-public giara
+  (package
+    (name "giara")
+    (version "0.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://gitlab.gnome.org/World/giara")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "004qmkfrgd37axv0b6hfh6v7nx4pvy987k5yv4bmlmkj9sbqm6f9"))=
))
+    (build-system meson-build-system)
+    (arguments
+     `(#:glib-or-gtk? #t
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'wrap-programs
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin/"))
+                    (lib (string-append out "/lib/python"
+                                        ,(version-major+minor
+                                          (package-version python))
+                                        "/site-packages")))
+               (wrap-program (string-append bin "giara")
+                 `("PYTHONPATH" ":" prefix (,(getenv "PYTHONPATH") ,lib)=
)
+                 `("GI_TYPELIB_PATH" ":" prefix (,(getenv "GI_TYPELIB_PA=
TH")))))
+             #t)))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("gobject-introspection" ,gobject-introspection)
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)
+       ("xmllint" ,libxml2)))
+    (inputs
+     `(("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("gtksourceview" ,gtksourceview)
+       ("libhandy" ,libhandy)
+       ("python" ,python)
+       ("python-beautifulsoup" ,python-beautifulsoup4)
+       ("python-dateutil" ,python-dateutil)
+       ("python-mistune" ,python-mistune)
+       ("python-pillow" ,python-pillow)
+       ("python-praw" ,python-praw)
+       ("python-pycairo" ,python-pycairo)
+       ("python-pygobject" ,python-pygobject)
+       ("python-requests" ,python-requests)
+       ("webkitgtk" ,webkitgtk)))
+    (synopsis "Client for Reddit")
+    (description "Giara is a reddit app, built with Python, GTK and Hand=
y.")
+    (home-page "https://giara.gabmus.org/")
+    (license license:gpl3+)))
+
 (define-public newsboat
   (package
     (name "newsboat")
--=20
2.30.1


--------------AD264F266E3382431440A775--

--aLBdbHN7hkCI46M6S5QBlN8YHj6fR9c5j--

--lBslpQRBnxXsWzC0IppzlxpRFDn5dqRot
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYEjDYAUDAAAAAAAKCRBfWBZkf4vlUd+0
AQCx3OnEpen3MuhnutU/zeEJ5ptKtTWKrpZtC4v0EY6kgwD/R8Mt5VexxlPSiUbt1xHdJ78Fgenn
UY0s1Fsu/jqjQgg=
=mJ8E
-----END PGP SIGNATURE-----

--lBslpQRBnxXsWzC0IppzlxpRFDn5dqRot--




Information forwarded to guix-patches@HIDDEN:
bug#46862; Package guix-patches. Full text available.

Message received at 46862 <at> debbugs.gnu.org:


Received: (at 46862) by debbugs.gnu.org; 9 Mar 2021 07:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 09 02:59:58 2021
Received: from localhost ([127.0.0.1]:45536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJXHW-0000Ou-DU
	for submit <at> debbugs.gnu.org; Tue, 09 Mar 2021 02:59:58 -0500
Received: from flashner.co.il ([178.62.234.194]:43868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1lJXHT-0000Oc-Hk
 for 46862 <at> debbugs.gnu.org; Tue, 09 Mar 2021 02:59:53 -0500
Received: from localhost (unknown [31.210.181.184])
 by flashner.co.il (Postfix) with ESMTPSA id 6E0484020F;
 Tue,  9 Mar 2021 07:59:45 +0000 (UTC)
Date: Tue, 9 Mar 2021 09:59:12 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: Raghav Gururajan <rg@HIDDEN>
Subject: Re: [bug#46862] Giara - A free-software client for Reddit
Message-ID: <YEcq0M6MIokud6S1@3900XT>
References: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="D0zM8VZ6115KVi1s"
Content-Disposition: inline
In-Reply-To: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 46862
Cc: 46862 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--D0zM8VZ6115KVi1s
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

It definitely launched much faster than on my pinephone. A couple of commen=
ts inlined.

Also, I wasn't able to login to giara. I got redirected to icecat and
was able to login and press authorize as expected, but nothing happened
with the giara window and it stayed at 'waiting for authorization'. I'm
not sure if it's because I'm not running a GTK desktop, but I didn't
investigate too far.

On Mon, Mar 01, 2021 at 04:44:23PM -0500, Raghav Gururajan via Guix-patches=
 via wrote:

> From 20c12e445cdca94ca8277b89d16c69ad5cd1af79 Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <rg@HIDDEN>
> Date: Mon, 1 Mar 2021 15:10:06 -0500
> Subject: [PATCH 1/5] gnu: Add python-betamax-serializers.
>=20
> * gnu/packages/python-check.scm (python-betamax-serializers): New variabl=
e.
> ---
>  gnu/packages/python-check.scm | 21 +++++++++++++++++++++
>  1 file changed, 21 insertions(+)
>=20
> diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
> index c23741825b..ac96310cd0 100644
> --- a/gnu/packages/python-check.scm
> +++ b/gnu/packages/python-check.scm
> @@ -40,6 +40,27 @@
>    #:use-module (guix download)
>    #:use-module (guix build-system python))
> =20

This package should be in python-web with the other python-betamax
packages

> +(define-public python-betamax-serializers
> +  (package
> +    (name "python-betamax-serializers")
> +    (version "0.2.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (pypi-uri "betamax-serializers" version))

This can be on one line

> +       (sha256
> +        (base32 "0ja9isbjmzzhxdj69s0kdsvw8nkp073w6an6a4liy5vk3fdl2p1l"))=
))
> +    (build-system python-build-system)
> +    (propagated-inputs
> +     `(("python-betamax" ,python-betamax)
> +       ("python-pyyaml" ,python-pyyaml)))
> +    (synopsis "Set of third-party serializers for Betamax")
> +    (description "Betamax-Serializers are an experimental set of Seriali=
zers for
> +Betamax that may possibly end up in the main package.")
> +    (home-page "https://gitlab.com/betamax/serializers")
> +    (license license:asl2.0)))
> +
>  (define-public python-coveralls
>    (package
>      (name "python-coveralls")
> --=20
> 2.30.1
>=20

> From 2bc948be9324add1b6b15795c5d65dda2d956d6e Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <rg@HIDDEN>
> Date: Mon, 1 Mar 2021 15:33:33 -0500
> Subject: [PATCH 2/5] gnu: Add python-testfixtures.
>=20
> * gnu/packages/python-check.scm (python-testfixtures): New variable.
> ---
>  gnu/packages/python-check.scm | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>=20
> diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
> index ac96310cd0..10b35846f5 100644
> --- a/gnu/packages/python-check.scm
> +++ b/gnu/packages/python-check.scm
> @@ -28,7 +28,9 @@
>  (define-module (gnu packages python-check)
>    #:use-module (gnu packages)
>    #:use-module (gnu packages check)
> +  #:use-module (gnu packages django)
>    #:use-module (gnu packages openstack)
> +  #:use-module (gnu packages python-build)
>    #:use-module (gnu packages python-web)
>    #:use-module (gnu packages python-xyz)
>    #:use-module (gnu packages web)
> @@ -40,6 +42,32 @@
>    #:use-module (guix download)
>    #:use-module (guix build-system python))
> =20
> +(define-public python-testfixtures
> +  (package
> +    (name "python-testfixtures")
> +    (version "6.17.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (pypi-uri "testfixtures" version))

This can be on one line

> +       (sha256
> +        (base32 "1nlv2hz20czjp4a811ichl5kwg99rh84l0mw9wq4rk3idzfs1hsy"))=
))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:tests? #f))          ; PyTest-Django fails to build in master
> +    (native-inputs
> +     `(("python-pytest" ,python-pytest)
> +       ("python-pytest-cov" ,python-pytest-cov)
> +       ;;("python-pytest-django" ,python-pytest-django)
> +       ("python-twine" ,python-twine)
> +       ("python-wheel" ,python-wheel)))
> +    (synopsis "Tests components for Python")
> +    (description "Testfixtures is a collection of helpers and mock objec=
ts that
> +are useful when writing automated tests in Python.")
> +    (home-page "https://testfixtures.readthedocs.io/en/latest/")
> +    (license license:expat)))
> +
>  (define-public python-betamax-serializers
>    (package
>      (name "python-betamax-serializers")
> --=20
> 2.30.1
>=20

> From 8ff9766b7228d5772c5b7f5449031163e8e7ecd1 Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <rg@HIDDEN>
> Date: Mon, 1 Mar 2021 15:37:23 -0500
> Subject: [PATCH 3/5] gnu: Add python-prawcore.
>=20
> * gnu/packages/python-web.scm (python-prawcore): New variable.
> ---
>  gnu/packages/python-web.scm | 26 ++++++++++++++++++++++++++
>  1 file changed, 26 insertions(+)
>=20
> diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
> index ab3769b360..27b31143ea 100644
> --- a/gnu/packages/python-web.scm
> +++ b/gnu/packages/python-web.scm
> @@ -91,6 +91,32 @@
>    #:use-module ((guix licenses) #:prefix license:)
>    #:use-module (srfi srfi-1))
> =20
> +(define-public python-prawcore
> +  (package
> +    (name "python-prawcore")
> +    (version "2.0.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (pypi-uri "prawcore" version))

This can be on one line

> +       (sha256
> +        (base32 "1l9nrn4s03xl8fvkyybdk86bm9cyyk43alkxf9g014a9ynvdk65l"))=
))
> +    (build-system python-build-system)
> +    (native-inputs
> +     `(("python-betamax" ,python-betamax)
> +       ("python-betamax-matchers" ,python-betamax-matchers)
> +       ("python-betamax-serializers" ,python-betamax-serializers)
> +       ("python-mock" ,python-mock)
> +       ("python-pytest" ,python-pytest)
> +       ("python-testfixtures" ,python-testfixtures)))
> +    (propagated-inputs
> +     `(("python-requests" ,python-requests)))
> +    (synopsis "Core component of PRAW")
> +    (description "PRAWcore is a low-level communication layer used by PR=
AW.")
> +    (home-page "https://praw.readthedocs.io/en/latest/")
> +    (license license:bsd-2)))
> +
>  (define-public python-aiohttp
>    (package
>      (name "python-aiohttp")
> --=20
> 2.30.1
>=20

> From a5e10670128fb2a7fcffa4a03e979231cc403a6d Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <rg@HIDDEN>
> Date: Mon, 1 Mar 2021 16:01:21 -0500
> Subject: [PATCH 4/5] gnu: Add python-praw.
>=20
> * gnu/packages/python-web.scm (python-raw): New variable.
> ---
>  gnu/packages/python-web.scm | 28 ++++++++++++++++++++++++++++
>  1 file changed, 28 insertions(+)
>=20
> diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
> index 27b31143ea..9acafd14e3 100644
> --- a/gnu/packages/python-web.scm
> +++ b/gnu/packages/python-web.scm
> @@ -117,6 +117,34 @@
>      (home-page "https://praw.readthedocs.io/en/latest/")
>      (license license:bsd-2)))
> =20
> +(define-public python-praw
> +  (package
> +    (name "python-praw")
> +    (version "7.2.0")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri
> +        (pypi-uri "praw" version))

This can be on one line

> +       (sha256
> +        (base32 "0ll1a0n8xs8gykizdsfrw63jp6bc39ab0pk3yzwcak96fyxh0ij3"))=
))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:tests? #f))    ; https://github.com/praw-dev/praw/issues/1699

There were a couple of failing tests, but I was able to run the test
suite with the following code:

    (arguments
     `(;#:tests? #f
       #:phases
       (modify-phases %standard-phases
         (replace 'check
           (lambda* (#:key tests? #:allow-other-keys)
             (when tests?
               (invoke "pytest"))
             #t)))))

> +    (native-inputs
> +     `(("python-betamax" ,python-betamax)
> +       ("python-betamax-matchers" ,python-betamax-matchers)
> +       ("python-pytest" ,python-pytest)))
> +    (propagated-inputs
> +     `(("python-prawcore" ,python-prawcore)
> +       ("python-websocket-client" ,python-websocket-client)))
> +    (synopsis "Python Reddit API Wrapper")
> +    (description "PRAW is a Python package that allows for simple access=
 to
> +Reddit=E2=80=99s API.  It aims to be easy to use and internally follows =
all of Reddit=E2=80=99s
> +API rules.")
> +    (home-page "https://praw.readthedocs.io/en/latest/")
> +    (license license:bsd-2)))
> +
>  (define-public python-aiohttp
>    (package
>      (name "python-aiohttp")
> --=20
> 2.30.1
>=20

> From d7a3665d04a70e1d0a09da805a3d3974e8c9ce5c Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <rg@HIDDEN>
> Date: Mon, 1 Mar 2021 16:40:12 -0500
> Subject: [PATCH 5/5] gnu: Add giara.

This should probably be in syndication.scm

>=20
> * gnu/packages/web.scm (giara): New variable.
> ---
>  gnu/packages/web.scm | 67 ++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 67 insertions(+)
>=20
> diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
> index 3e9fdbb7f6..cbceb36dea 100644
> --- a/gnu/packages/web.scm
> +++ b/gnu/packages/web.scm
> @@ -164,13 +164,80 @@
>    #:use-module (gnu packages sphinx)
>    #:use-module (gnu packages texinfo)
>    #:use-module (gnu packages textutils)
> +  #:use-module (gnu packages time)
>    #:use-module (gnu packages tls)
>    #:use-module (gnu packages valgrind)
>    #:use-module (gnu packages version-control)
>    #:use-module (gnu packages vim)
> +  #:use-module (gnu packages webkit)
>    #:use-module (gnu packages xml)
>    #:use-module ((srfi srfi-1) #:select (delete-duplicates)))
> =20
> +(define-public giara
> +  (package
> +    (name "giara")
> +    (version "0.3")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (uri
> +        (git-reference

This can be on the previous line

> +         (url "https://gitlab.gnome.org/World/giara")
> +         (commit version)))
> +       (file-name
> +        (git-file-name name version))

Ditto

> +       (sha256
> +        (base32 "004qmkfrgd37axv0b6hfh6v7nx4pvy987k5yv4bmlmkj9sbqm6f9"))=
))
> +    (build-system meson-build-system)
> +    (arguments
> +     `(#:glib-or-gtk? #t
> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-after 'install 'wrap-programs
> +           (lambda* (#:key outputs #:allow-other-keys)
> +             (let* ((out (assoc-ref outputs "out"))
> +                    (bin (string-append out "/bin/"))
> +                    (lib (string-append out "/lib/python"
> +                                        ,(version-major+minor
> +                                          (package-version python))
> +                                        "/site-packages")))
> +               (for-each
> +                (lambda (program)
> +                  (wrap-program program
> +                    `("PYTHONPATH" =3D (,(getenv "PYTHONPATH") ,lib))
> +                    `("GI_TYPELIB_PATH" =3D (,(getenv "GI_TYPELIB_PATH")=
))))
> +                (append
> +                 (map (lambda (prog) (string-append bin prog))
> +                      '("giara"))))

There's only one binary to wrap, so this can be shorter
(wrap-program (string-append bin "giara")
 `("PYTHONPATH" ...

Also, should it be wrapped with prefix instead of an absolute value?
Then other environment variables affecting those ones would be honored.

> +               #t))))))
> +    (native-inputs
> +     `(("gettext" ,gettext-minimal)
> +       ("glib:bin" ,glib "bin")
> +       ("gobject-introspection" ,gobject-introspection)
> +       ("gtk+:bin" ,gtk+ "bin")
> +       ("pkg-config" ,pkg-config)
> +       ("xmllint" ,libxml2)))
> +    (inputs
> +     `( ;; ("appstream-cli" ,appstream-cli)
> +       ("glib" ,glib)
> +       ("gtk+" ,gtk+)
> +       ("gtksourceview" ,gtksourceview)
> +       ("libhandy" ,libhandy)
> +       ("python" ,python)
> +       ("python-beautifulsoup" ,python-beautifulsoup4)
> +       ("python-dateutil" ,python-dateutil)
> +       ("python-mistune" ,python-mistune)
> +       ("python-pillow" ,python-pillow)
> +       ("python-praw" ,python-praw)
> +       ("python-pycairo" ,python-pycairo)
> +       ("python-pygobject" ,python-pygobject)
> +       ("python-requests" ,python-requests)
> +       ("webkitgtk" ,webkitgtk)))
> +    (synopsis "Client for Reddit")
> +    (description "Giara is a reddit app, built with Python, GTK and Hand=
y.")
> +    (home-page "https://giara.gabmus.org/")
> +    (license license:gpl3+)))
> +
>  (define-public qhttp
>    (package
>      (name "qhttp")
> --=20
> 2.30.1
>=20





--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--D0zM8VZ6115KVi1s
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAmBHKs4ACgkQQarn3Mo9
g1EEQg/8DuesgxMpp4U+ANsxZU8ZDQN8YZm27/rBU3TqZM038M8dEb9CqeXiVwqr
7hdWJ1KaATq320cmXBO4t1bJcECg5m5mcyln/DoOvexELoN3+1osnkElcgpFWQLF
1OB6Tu52fC/pyXI6meP3da9xQkOEvfCC93w5IWGEjyHMzfvW3GHEPofNLQDda5Od
XhEPQyStfdiaCsvugUqLDLv4NBUMLQ8rBeYMSSdosit/PrkQs3T/wAgtXLq2jGsF
EGE6IIA7up7VE2XA/V/9x1JPKlPZBsI+GlqMDBJ2pu70JFbTFs1shRplM7CSGhHR
f53rt/gW139fs+ejJF6U9wgBmk2iOnowQ4nLt6iPmlb3RvZU/SE+JDjNploO+SeT
omXmMlhMrzAKhk6YXaNKJbmq9jCfW4ag81e2AYfTUFstibOHvH7L48r39EXpOn7K
blm7ncAucf3q+5NF8UfLs0nREeNyUdjS836w1UsIM15q0DVZ9OQ8OQudwJqB57Ko
BODkWDDPJdug9CTMlDcyuFrYI/pRp9PMWxD4wq444xIZ08UplRdBEXQmnmRXErkB
FNPoarCXip32BUISJZc4MxzCSDSybIPqmPFAqPNh5tWxLyxTLcwciHv8mjWUWz4a
/6XUzfkBPw2RHuFKF+r97FlkRu+1z73GSjDQZbnI2jAQmUkICR8=
=+3ar
-----END PGP SIGNATURE-----

--D0zM8VZ6115KVi1s--




Information forwarded to guix-patches@HIDDEN:
bug#46862; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Mar 2021 21:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 01 16:44:42 2021
Received: from localhost ([127.0.0.1]:51056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lGqLK-0001dX-2i
	for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 16:44:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:54908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rg@HIDDEN>) id 1lGqLI-0001dO-15
 for submit <at> debbugs.gnu.org; Mon, 01 Mar 2021 16:44:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46240)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lGqLH-0004ns-Ow
 for guix-patches@HIDDEN; Mon, 01 Mar 2021 16:44:39 -0500
Received: from out2.migadu.com ([188.165.223.204]:14531)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rg@HIDDEN>)
 id 1lGqL9-0001Vl-4P
 for guix-patches@HIDDEN; Mon, 01 Mar 2021 16:44:39 -0500
To: guix-patches@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=raghavgururajan.name; 
 s=key1; t=1614635066;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=pi3oHBHTJAVVYO7G2TfTNKL9oTDDfZReWMKQrp3g9hw=;
 b=BQw8LM8Ui9TM8JctJjp4URxJgkOe+v990UFnfjMApnbJlGRNLvDubzwYHeMj3RYreVi53L
 I1N1Ev857UX1xds2nBbMEe9PCrnZA065SIKKq8GytmfXvv/LL93r8AzZeupM5DGvy4Kgkl
 GcO7Alabg5JrhRatwt+aGeY3WJUCrFEK98V+UXoHA2ZLPxirsvzjtX1STzI8fBGDe7yC63
 vxabh/Ei9/5CK+NMpU+sKyMDWEJFLgn93j5FqurmsCeqzVgf8EobEs3tzjBlXT7R3HFHWT
 00UvD7dzlLiqkuw4iQ9H++AzuB2ky3ar9qHyqeO8tr+zQ61gQwi/3Oe+2cQX+A==
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: Raghav Gururajan <rg@HIDDEN>
Subject: Giara - A free-software client for Reddit
Message-ID: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
Date: Mon, 1 Mar 2021 16:44:23 -0500
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="b6kynPUfkJLrYTeOBnZQMWIP3a1iZzZhM"
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: rg@HIDDEN
Received-SPF: pass client-ip=188.165.223.204;
 envelope-from=rg@HIDDEN; helo=out2.migadu.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--b6kynPUfkJLrYTeOBnZQMWIP3a1iZzZhM
Content-Type: multipart/mixed; boundary="L0sV04iMFUyC2EDfKEYqeCOMHm7OW6Xt7";
 protected-headers="v1"
From: Raghav Gururajan <rg@HIDDEN>
To: guix-patches@HIDDEN
Message-ID: <cf444fe8-746c-a72b-99d7-d3ebe9a06ecd@HIDDEN>
Subject: Giara - A free-software client for Reddit

--L0sV04iMFUyC2EDfKEYqeCOMHm7OW6Xt7
Content-Type: multipart/mixed;
 boundary="------------A54CF2B83634D7B48BB7AE69"
Content-Language: en-US

This is a multi-part message in MIME format.
--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-gnu-Add-python-betamax-serializers.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0001-gnu-Add-python-betamax-serializers.patch"

=46rom 20c12e445cdca94ca8277b89d16c69ad5cd1af79 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 15:10:06 -0500
Subject: [PATCH 1/5] gnu: Add python-betamax-serializers.

* gnu/packages/python-check.scm (python-betamax-serializers): New variabl=
e.
---
 gnu/packages/python-check.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.sc=
m
index c23741825b..ac96310cd0 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -40,6 +40,27 @@
   #:use-module (guix download)
   #:use-module (guix build-system python))
=20
+(define-public python-betamax-serializers
+  (package
+    (name "python-betamax-serializers")
+    (version "0.2.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (pypi-uri "betamax-serializers" version))
+       (sha256
+        (base32 "0ja9isbjmzzhxdj69s0kdsvw8nkp073w6an6a4liy5vk3fdl2p1l"))=
))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-pyyaml" ,python-pyyaml)))
+    (synopsis "Set of third-party serializers for Betamax")
+    (description "Betamax-Serializers are an experimental set of Seriali=
zers for
+Betamax that may possibly end up in the main package.")
+    (home-page "https://gitlab.com/betamax/serializers")
+    (license license:asl2.0)))
+
 (define-public python-coveralls
   (package
     (name "python-coveralls")
--=20
2.30.1


--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-Add-python-testfixtures.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0002-gnu-Add-python-testfixtures.patch"

=46rom 2bc948be9324add1b6b15795c5d65dda2d956d6e Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 15:33:33 -0500
Subject: [PATCH 2/5] gnu: Add python-testfixtures.

* gnu/packages/python-check.scm (python-testfixtures): New variable.
---
 gnu/packages/python-check.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.sc=
m
index ac96310cd0..10b35846f5 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -28,7 +28,9 @@
 (define-module (gnu packages python-check)
   #:use-module (gnu packages)
   #:use-module (gnu packages check)
+  #:use-module (gnu packages django)
   #:use-module (gnu packages openstack)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages web)
@@ -40,6 +42,32 @@
   #:use-module (guix download)
   #:use-module (guix build-system python))
=20
+(define-public python-testfixtures
+  (package
+    (name "python-testfixtures")
+    (version "6.17.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (pypi-uri "testfixtures" version))
+       (sha256
+        (base32 "1nlv2hz20czjp4a811ichl5kwg99rh84l0mw9wq4rk3idzfs1hsy"))=
))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f))          ; PyTest-Django fails to build in master
+    (native-inputs
+     `(("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ;;("python-pytest-django" ,python-pytest-django)
+       ("python-twine" ,python-twine)
+       ("python-wheel" ,python-wheel)))
+    (synopsis "Tests components for Python")
+    (description "Testfixtures is a collection of helpers and mock objec=
ts that
+are useful when writing automated tests in Python.")
+    (home-page "https://testfixtures.readthedocs.io/en/latest/")
+    (license license:expat)))
+
 (define-public python-betamax-serializers
   (package
     (name "python-betamax-serializers")
--=20
2.30.1


--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/x-patch; charset=UTF-8;
 name="0003-gnu-Add-python-prawcore.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0003-gnu-Add-python-prawcore.patch"

=46rom 8ff9766b7228d5772c5b7f5449031163e8e7ecd1 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 15:37:23 -0500
Subject: [PATCH 3/5] gnu: Add python-prawcore.

* gnu/packages/python-web.scm (python-prawcore): New variable.
---
 gnu/packages/python-web.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index ab3769b360..27b31143ea 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -91,6 +91,32 @@
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (srfi srfi-1))
=20
+(define-public python-prawcore
+  (package
+    (name "python-prawcore")
+    (version "2.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (pypi-uri "prawcore" version))
+       (sha256
+        (base32 "1l9nrn4s03xl8fvkyybdk86bm9cyyk43alkxf9g014a9ynvdk65l"))=
))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-betamax-matchers" ,python-betamax-matchers)
+       ("python-betamax-serializers" ,python-betamax-serializers)
+       ("python-mock" ,python-mock)
+       ("python-pytest" ,python-pytest)
+       ("python-testfixtures" ,python-testfixtures)))
+    (propagated-inputs
+     `(("python-requests" ,python-requests)))
+    (synopsis "Core component of PRAW")
+    (description "PRAWcore is a low-level communication layer used by PR=
AW.")
+    (home-page "https://praw.readthedocs.io/en/latest/")
+    (license license:bsd-2)))
+
 (define-public python-aiohttp
   (package
     (name "python-aiohttp")
--=20
2.30.1


--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/x-patch; charset=UTF-8;
 name="0004-gnu-Add-python-praw.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0004-gnu-Add-python-praw.patch"

=46rom a5e10670128fb2a7fcffa4a03e979231cc403a6d Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 16:01:21 -0500
Subject: [PATCH 4/5] gnu: Add python-praw.

* gnu/packages/python-web.scm (python-raw): New variable.
---
 gnu/packages/python-web.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 27b31143ea..9acafd14e3 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -117,6 +117,34 @@
     (home-page "https://praw.readthedocs.io/en/latest/")
     (license license:bsd-2)))
=20
+(define-public python-praw
+  (package
+    (name "python-praw")
+    (version "7.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (pypi-uri "praw" version))
+       (sha256
+        (base32 "0ll1a0n8xs8gykizdsfrw63jp6bc39ab0pk3yzwcak96fyxh0ij3"))=
))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f))    ; https://github.com/praw-dev/praw/issues/1699
+    (native-inputs
+     `(("python-betamax" ,python-betamax)
+       ("python-betamax-matchers" ,python-betamax-matchers)
+       ("python-pytest" ,python-pytest)))
+    (propagated-inputs
+     `(("python-prawcore" ,python-prawcore)
+       ("python-websocket-client" ,python-websocket-client)))
+    (synopsis "Python Reddit API Wrapper")
+    (description "PRAW is a Python package that allows for simple access=
 to
+Reddit=E2=80=99s API.  It aims to be easy to use and internally follows =
all of Reddit=E2=80=99s
+API rules.")
+    (home-page "https://praw.readthedocs.io/en/latest/")
+    (license license:bsd-2)))
+
 (define-public python-aiohttp
   (package
     (name "python-aiohttp")
--=20
2.30.1


--------------A54CF2B83634D7B48BB7AE69
Content-Type: text/x-patch; charset=UTF-8;
 name="0005-gnu-Add-giara.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="0005-gnu-Add-giara.patch"

=46rom d7a3665d04a70e1d0a09da805a3d3974e8c9ce5c Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <rg@HIDDEN>
Date: Mon, 1 Mar 2021 16:40:12 -0500
Subject: [PATCH 5/5] gnu: Add giara.

* gnu/packages/web.scm (giara): New variable.
---
 gnu/packages/web.scm | 67 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 3e9fdbb7f6..cbceb36dea 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -164,13 +164,80 @@
   #:use-module (gnu packages sphinx)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages textutils)
+  #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages valgrind)
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages vim)
+  #:use-module (gnu packages webkit)
   #:use-module (gnu packages xml)
   #:use-module ((srfi srfi-1) #:select (delete-duplicates)))
=20
+(define-public giara
+  (package
+    (name "giara")
+    (version "0.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri
+        (git-reference
+         (url "https://gitlab.gnome.org/World/giara")
+         (commit version)))
+       (file-name
+        (git-file-name name version))
+       (sha256
+        (base32 "004qmkfrgd37axv0b6hfh6v7nx4pvy987k5yv4bmlmkj9sbqm6f9"))=
))
+    (build-system meson-build-system)
+    (arguments
+     `(#:glib-or-gtk? #t
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'install 'wrap-programs
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (bin (string-append out "/bin/"))
+                    (lib (string-append out "/lib/python"
+                                        ,(version-major+minor
+                                          (package-version python))
+                                        "/site-packages")))
+               (for-each
+                (lambda (program)
+                  (wrap-program program
+                    `("PYTHONPATH" =3D (,(getenv "PYTHONPATH") ,lib))
+                    `("GI_TYPELIB_PATH" =3D (,(getenv "GI_TYPELIB_PATH")=
))))
+                (append
+                 (map (lambda (prog) (string-append bin prog))
+                      '("giara"))))
+               #t))))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("gobject-introspection" ,gobject-introspection)
+       ("gtk+:bin" ,gtk+ "bin")
+       ("pkg-config" ,pkg-config)
+       ("xmllint" ,libxml2)))
+    (inputs
+     `( ;; ("appstream-cli" ,appstream-cli)
+       ("glib" ,glib)
+       ("gtk+" ,gtk+)
+       ("gtksourceview" ,gtksourceview)
+       ("libhandy" ,libhandy)
+       ("python" ,python)
+       ("python-beautifulsoup" ,python-beautifulsoup4)
+       ("python-dateutil" ,python-dateutil)
+       ("python-mistune" ,python-mistune)
+       ("python-pillow" ,python-pillow)
+       ("python-praw" ,python-praw)
+       ("python-pycairo" ,python-pycairo)
+       ("python-pygobject" ,python-pygobject)
+       ("python-requests" ,python-requests)
+       ("webkitgtk" ,webkitgtk)))
+    (synopsis "Client for Reddit")
+    (description "Giara is a reddit app, built with Python, GTK and Hand=
y.")
+    (home-page "https://giara.gabmus.org/")
+    (license license:gpl3+)))
+
 (define-public qhttp
   (package
     (name "qhttp")
--=20
2.30.1


--------------A54CF2B83634D7B48BB7AE69--

--L0sV04iMFUyC2EDfKEYqeCOMHm7OW6Xt7--

--b6kynPUfkJLrYTeOBnZQMWIP3a1iZzZhM
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTNLV6qqYzLN9qR1rBfWBZkf4vlUQUCYD1gNwUDAAAAAAAKCRBfWBZkf4vlUdw5
AQCvyEemTqZ2bt5TPLgIyHq/qM6rO0xuhjCC8Re7slHb7gEA21fxvFsoCHLRznjqW73P7y5zLF1o
AS1JOBn5wpSbHwI=
=t4Zx
-----END PGP SIGNATURE-----

--b6kynPUfkJLrYTeOBnZQMWIP3a1iZzZhM--




Acknowledgement sent to Raghav Gururajan <rg@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46862; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Mar 2021 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.